using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;

namespace Hncore.Pass.BaseInfo.Common
{
    ///// <summary>
    ///// 自然数0,1,2...
    ///// </summary>
    //[AttributeUsage(AttributeTargets.Property)]
    //public class ValidNaturalNumberAttribute : Attribute
    //{

    //}
    public sealed class RequiredAttribute : Attribute
    {
        public bool Validate(object value)
        {
            if (value == null) return true;
            if (string.IsNullOrEmpty(value.ToString())) return true;
            if (string.IsNullOrWhiteSpace(value.ToString())) return true;
            return false;
        }
    }
}
